Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Installer Class Reference

## Public Member Functions
| __init__ (self, p3dfile, shortname, fullname, version, tokens={})
| __del__ (self)
| build (self, output, platform=None)
| buildAll (self, outputDir=".")
| buildAPP (self, output, platform)
| buildArch (self, output, platform)
| buildDEB (self, output, platform)
| buildNSIS (self, output, platform)
| buildPKG (self, output, platform)
| installPackagesInto (self, hostDir, platform)
| os_walk (self, top)

## Public Attributes
str | authoremail = os.environ.get("DEBEMAIL", "")
str | authorid = "org.panda3d"
| authorname = os.environ.get("DEBFULLNAME", "")
list | extracts = []
| fullname = fullname
| hostUrl = None
| icon = None
bool | includeRequires = False
| licensefile = Filename()
str | licensename = ""
bool | offerDesktopShortcut = True
bool | offerRun = True
| p3dFilename = p3dfile
list | requires = []
| shortname = shortname
| standalone = Standalone(p3dfile, tokens)
str | tempDir = Filename.temporary("", self.shortname, "") + "/"
| version = str(version)

## Static Public Attributes
| notify = directNotify.newCategory("Installer")

## Detailed Description

     This class creates a (graphical) installer from a given .p3d file.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | p3dfile,
|  |  | shortname,
|  |  | fullname,
|  |  | version,
|  |  | tokens = {} )

## ◆ __del__()

__del__ | ( |  | self | ) |

## Member Function Documentation

## ◆ build()

build | ( |  | self,
|  |  | output,
|  |  | platform = None )

     Builds (graphical) installers and stores it into the path
    indicated by the 'output' argument. You can specify to build for
    a different platform by altering the 'platform' argument.
    If 'output' is a directory, the installer will be stored in it.

## ◆ buildAll()

buildAll | ( |  | self,
|  |  | outputDir = "." )

     Creates a (graphical) installer for every known platform.
    Call this after you have set the desired parameters.

## ◆ buildAPP()

buildAPP | ( |  | self,
|  |  | output,
|  |  | platform )

## ◆ buildArch()

buildArch | ( |  | self,
|  |  | output,
|  |  | platform )

     Builds an ArchLinux package and stores it in the path
    indicated by the 'output' argument. It will be built for the
    architecture specified by the 'arch' argument.
    If 'output' is a directory, the deb file will be stored in it.

## ◆ buildDEB()

buildDEB | ( |  | self,
|  |  | output,
|  |  | platform )

     Builds a .deb archive and stores it in the path indicated
    by the 'output' argument. It will be built for the architecture
    specified by the 'arch' argument.
    If 'output' is a directory, the deb file will be stored in it.

## ◆ buildNSIS()

buildNSIS | ( |  | self,
|  |  | output,
|  |  | platform )

## ◆ buildPKG()

buildPKG | ( |  | self,
|  |  | output,
|  |  | platform )

## ◆ installPackagesInto()

installPackagesInto | ( |  | self,
|  |  | hostDir,
|  |  | platform )

     Installs the packages required by the .p3d file into
    the specified directory, for the given platform.

## ◆ os_walk()

os_walk | ( |  | self,
|  |  | top )

     Re-implements os.walk().  For some reason the built-in
    definition is failing on Windows when this is run within a p3d
    environment!?

## Member Data Documentation

## ◆ authoremail

authoremail = os.environ.get("DEBEMAIL", "")

## ◆ authorid

authorid = "org.panda3d"

## ◆ authorname

authorname = os.environ.get("DEBFULLNAME", "")

## ◆ extracts

list extracts = []

## ◆ fullname

fullname = fullname

## ◆ hostUrl

hostUrl = None

## ◆ icon

icon = None

## ◆ includeRequires

bool includeRequires = False

## ◆ licensefile

licensefile = Filename()

## ◆ licensename

licensename = ""

## ◆ notify

notify = directNotify.newCategory("Installer")
| static

## ◆ offerDesktopShortcut

bool offerDesktopShortcut = True

## ◆ offerRun

bool offerRun = True

## ◆ p3dFilename

p3dFilename = p3dfile

## ◆ requires

list requires = []

## ◆ shortname

shortname = shortname

## ◆ standalone

standalone = Standalone(p3dfile, tokens)

## ◆ tempDir

tempDir = Filename.temporary("", self.shortname, "") + "/"

## ◆ version

version = str(version)